Subject: Re: [PATCH net-next v2 0/2] ethtool: Add support for writing firmware

From: Jakub Kicinski <[email-masked]>
Date: Sun, 15 Sep 2024 19:17:18 +0200

On Tue, 10 Sep 2024 12:02:15 +0300 Danielle Ratson wrote:
> In the CMIS specification for pluggable modules, LPL (Local Payload) and
> EPL (Extended Payload) are two types of data payloads used for managing
> various functions and features of the module.
> 
> EPL payloads are used for more complex and extensive management functions
> that require a larger amount of data, so writing firmware blocks using EPL
> is much more efficient.
> 
> Currently, only LPL payload is supported for writing firmware blocks to
> the module.
> 
> Add support for writing firmware block using EPL payload, both to support
> modules that support only EPL write mechanism, and to optimize the flashing
> process of modules that support LPL and EPL.
> 
> Running the flashing command on the same sample module using EPL vs. LPL
> showed an improvement of 84%.

this missed 6.12, sorry, I didn't get a clear enough signal form 
the discussion to merge it in time
-- 
pw-bot: defer